
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 crypto/internal.h |   14 --------------
 1 files changed, 14 deletions(-)

diff -puN crypto/internal.h~git-cryptodev-fixup crypto/internal.h
--- 25/crypto/internal.h~git-cryptodev-fixup	2005-06-18 22:34:19.000000000 -0700
+++ 25-akpm/crypto/internal.h	2005-06-18 22:34:23.000000000 -0700
@@ -42,20 +42,6 @@ static inline void crypto_yield(struct c
 		cond_resched();
 }
 
-static inline void *crypto_tfm_ctx(struct crypto_tfm *tfm)
-{
-	return (void *)&tfm[1];
-}
-
-struct crypto_alg *crypto_alg_lookup(const char *name);
-
-/* A far more intelligent version of this is planned.  For now, just
- * try an exact match on the name of the algorithm. */
-static inline struct crypto_alg *crypto_alg_mod_lookup(const char *name)
-{
-	return try_then_request_module(crypto_alg_lookup(name), name);
-}
-
 #ifdef CONFIG_CRYPTO_HMAC
 int crypto_alloc_hmac_block(struct crypto_tfm *tfm);
 void crypto_free_hmac_block(struct crypto_tfm *tfm);
_
